import backpackObjectArray from "./components/data.js";

// console.log(backpackObjectArray);

const main = document.querySelector(".main-content");

const content = backpackObjectArray.map((pack) => {
    return (
    `
        <h1>${pack.name}</h1>
        <ul>
            <li>
                Volume: ${pack.volume}
            </li>
            <li>
                Color: ${pack.color}
            </li>
            <li>
                Number of Pockets: ${pack.pocketNum}
            </li>
            <li>
                Lid is open? ${pack.lidOpen}
            </li>
            <li>
                Date Acquired: ${pack.dateAcquired}
            </li>
            <li>
                <img id="img" src=${pack.image} alt="pic"/>
            </li>
        </ul>
    `
    )
});

const newArticle  = document.createElement("article");
newArticle.classList.add("backpack");
newArticle.setAttribute("id", "everyday");
newArticle.innerHTML = content;
main.append(newArticle);